<?php
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
	die(__('Please do not load this page directly. Thanks!', 'leefa'));
}

if (post_password_required()) {
?>
	<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'leefa') ; ?></p>
<?php
	return;
}
?>

<?php
if (have_comments()) :
?>
	<h3 class="comments-title">
	    <?php
			$comments_number = get_comments_number();
			if ( 1 === $comments_number ) {
				/* translators: %s: post title */
				printf( _x( 'One thought on &ldquo;%s&rdquo;', 'comments title', 'leefa' ), get_the_title() );
			} else {
				printf(
					/* translators: 1: number of comments, 2: post title */
					_nx(
						'%1$s thought on &ldquo;%2$s&rdquo;',
						'%1$s thoughts on &ldquo;%2$s&rdquo;',
						$comments_number,
						'comments title',
						'leefa'
					),
					number_format_i18n( $comments_number ),
					get_the_title()
				);
			}
		?>
	</h3>
	<div class="navigation">
		<?php the_comments_navigation(); ?>
	</div>
	<ul class="commentlist">
		<?php
			wp_list_comments(array(
				'short_ping' => true,
				'avatar_size' => 70,
				'type' => 'comment',
				'callback' => 'leefa_comment',
			));
		?>
	</ul>
	<div class="navigation">
		<?php the_comments_navigation(); ?>
	</div>
<?php
endif;

echo '<div class="comment-reply">';
	if ( get_option('comment_registration') && !is_user_logged_in()) : 
		printf('<p>' . __('You must be %s ','leefa'), ('<a href="'.wp_login_url(get_permalink()).'">logged in</a>'). __(' to post a comment', 'leefa').'<p>' );
	else : 
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
	$fields =  array(
	  'author' =>
	    '<p class="comment-form-author"><label for="author">' . __( 'Name', 'leefa' ) . '</label> ' .
	    ( $req ? '<span class="required" style="color:#C70505;">*</span>' : '' ) .
	    '<input id="author" name="author" class="form-control" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
	    '" size="30"' . $aria_req . ' /></p>',

	  'email' =>
	    '<p class="comment-form-email"><label for="email">' . __( 'Email', 'leefa' ) . '</label> ' .
	    ( $req ? '<span class="required" style="color:#C70505;">*</span>' : '' ) .
	    '<input id="email" name="email" class="form-control" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
	    '" size="30"' . $aria_req . ' /></p>',

	  'url' =>
	    '<p class="comment-form-url"><label for="url">' . __( 'Website', 'leefa' ) . '</label>' .
	    '<input id="url" name="url" class="form-control" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
	    '" size="30" /></p>',
	);
	$new_default = array(
	'comment_notes_before' =>	'<p class="comment-notes">' .
							    __( 'Your email address will not be published.', 'leefa' ) . ( $req ? '<span class="required" style="color:#C70505;">*</span>' : '' ) .
								'</p>',
	'comment_notes_after' =>	'',
	'id_submit' => 'comment-submit',
	'class_submit' => 'btn btn-default',
	'cancel_reply_before' => '',
	'cancel_reply_link' => '<span><i class="fa fa-remove fa-fw"></i></span>',
	'cancel_reply_after' => '',
	'comment_field' =>  '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun', 'leefa' ) .
					    '</label><textarea id="comment" name="comment"tabindex="4" class="form-control" rows="3" aria-required="true">' .
					    '</textarea></p>',
	'fields' => apply_filters( 'comment_form_default_fields', $fields ),
	);
	comment_form($new_default); 
	endif;
echo '</div>';

/**
 * Adding function comment list style.
 * Callback wp_list_comments
 */
function leefa_comment($comment, $args, $depth) {
    if ( 'div' === $args['style'] ) {
        $tag       = 'div';
        $add_below = 'comment';
    } else {
        $tag       = 'li';
        $add_below = 'div-comment';
    }
    ?>
    <<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
    <?php if ( 'div' != $args['style'] ) : ?>
    <div id="div-comment-<?php comment_ID() ?>" class="comment-body">
    <?php endif; ?>
    <div class="comment-author vcard">
        <?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
        <div class="title">
	        <?php printf( '<cite class="fn">%s</cite>', get_comment_author_link() ); ?>
	        <div class="comment-meta commentmetadata">
		    	<a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>">
		        <?php printf( _x( '%s ago', '%s = human-readable time difference', 'leefa' ), human_time_diff( get_comment_time( 'U' ), current_time( 'timestamp' ) ) ); ?>
		        </a>
		    </div>
        </div>
        
    </div>
    <?php if ( $comment->comment_approved == '0' ) : ?>
         <em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'leefa' ); ?>
         </em>
          <br />
    <?php endif; ?>
    
    <?php comment_text(); ?>
    <div class="comment-action">
	    <div class="edit">
	    	<?php edit_comment_link( '<i class="fa fa-edit fa-fw" title="' . __('Edit', 'leefa') . '"></i>', '  ', '' ); ?>
	    </div>
	    <div class="reply">
	        <?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'reply_text'	=> '<i class="fa fa-reply fa-fw" title="' . __('Reply', 'leefa') . '"></i>', 'max_depth' => $args['max_depth'] ) ) ); ?>
	    </div>
    </div>
    
    <?php if ( 'div' != $args['style'] ) : ?>
    </div>
    <?php endif; ?>
    <?php
}